package org.wfc.omada.api.client.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * ClientLockToApSetting1
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T10:16:05.926+08:00[Asia/Shanghai]")

public class ClientLockToApSetting1   {
  @JsonProperty("enable")
  private Boolean enable;

  @JsonProperty("aps")
  @Valid
  private List<String> aps = null;

  public ClientLockToApSetting1 enable(Boolean enable) {
    this.enable = enable;
    return this;
  }

  /**
   * Lock to AP enable
   * @return enable
  */
  @ApiModelProperty(required = true, value = "Lock to AP enable")
  @NotNull


  public Boolean getEnable() {
    return enable;
  }

  public void setEnable(Boolean enable) {
    this.enable = enable;
  }

  public ClientLockToApSetting1 aps(List<String> aps) {
    this.aps = aps;
    return this;
  }

  public ClientLockToApSetting1 addApsItem(String apsItem) {
    if (this.aps == null) {
      this.aps = new ArrayList<>();
    }
    this.aps.add(apsItem);
    return this;
  }

  /**
   * AP MAC list. Use capital letters and separator, for example: AA-AA-AA-AA-AA-AA.
   * @return aps
  */
  @ApiModelProperty(value = "AP MAC list. Use capital letters and separator, for example: AA-AA-AA-AA-AA-AA.")


  public List<String> getAps() {
    return aps;
  }

  public void setAps(List<String> aps) {
    this.aps = aps;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ClientLockToApSetting1 clientLockToApSetting1 = (ClientLockToApSetting1) o;
    return Objects.equals(this.enable, clientLockToApSetting1.enable) &&
        Objects.equals(this.aps, clientLockToApSetting1.aps);
  }

  @Override
  public int hashCode() {
    return Objects.hash(enable, aps);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ClientLockToApSetting1 {\n");
    
    sb.append("    enable: ").append(toIndentedString(enable)).append("\n");
    sb.append("    aps: ").append(toIndentedString(aps)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

